<div class="container">
  <!--  TODO - use name from the store to display greetings text-->
  <form
    [formGroup]="form"
    [ngClass]="{'no-lyrics': (lyricsFound$ | async) === false}">

    <app-input-field
      formControlName="artistName"
      [placeholder]="SUPPORTIVE_TEXTS.ARTIST_NAME"
      [error]="form.controls['artistName'].invalid && (form.controls['artistName'].dirty || form.controls['artistName'].touched)"
    ></app-input-field>

    <app-input-field
      formControlName="songTitle"
      [placeholder]="SUPPORTIVE_TEXTS.SONG_TITLE"
      [error]="form.controls['songTitle'].invalid && (form.controls['songTitle'].dirty  || form.controls['songTitle'].touched)"
    ></app-input-field>

    <button (click)="searchForLyrics()">Search</button>

    <button
      *ngIf="lyricsFound$ | async"
      class="btn-cancel"
      type="button"
      (click)="clearLyrics()">
      <mat-icon>clear</mat-icon>
    </button>

  </form>

  <div
    class="container__lyrics-border"
    [ngClass]="{'gradient-border': (lyricsFound$ | async)}">
    <section
      class="container__lyrics-container"
      [ngClass]="{'container__lyrics-container--with-text': (lyricsFound$ | async)}">
      <ng-container *ngIf="lyricsFound$ | async; else noLyrics">
        <span [innerHTML]="lyrics$ | async"></span>
      </ng-container>
    </section>
  </div>
</div>

<ng-template #noLyrics>
  <p class="container__no-lyrics-found">{{ lyrics$ | async }}</p>
</ng-template>
